# Interface CompileTester.CompilationWithNotesClause<T>

Type Parameters:
  `T` - the non-generic clause type implementing this interface

All Known Subinterfaces:
  `CompileTester.CleanCompilationClause, CompileTester.CompilationWithWarningsClause<T>, CompileTester.SuccessfulCompilationClause, CompileTester.UnsuccessfulCompilationClause`

Enclosing interface:
  `CompileTester`

public static interface CompileTester.CompilationWithNotesClause<T>
The clause in the fluent API that checks notes in a compilation.

Author:
  Gregory Kick

## Method Summary

Modifier and Type
Method
Description
`CompileTester.FileClause<T>`
`withNoteContaining(String messageFragment)`
Checks that a note exists that contains the given fragment in the diagnostic message.
`T`
`withNoteCount(int noteCount)`
Checks that the total note count in all files matches the given amount.

## Method Details

### withNoteContaining

@CanIgnoreReturnValue CompileTester.FileClause<T> withNoteContaining(String messageFragment)
Checks that a note exists that contains the given fragment in the diagnostic message.

### withNoteCount

@CanIgnoreReturnValue T withNoteCount(int noteCount)
Checks that the total note count in all files matches the given amount. This only counts diagnostics of the kind `Diagnostic.Kind.NOTE`.